# List Inboxes (/api-reference/list-inboxes-2)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 1033 · updated: 2026-09-06 -->
Related: [List Inboxes](/api-reference/list-inboxes.md), [Create Inbox](/api-reference/create-inbox.md), [Get Inbox](/api-reference/get-inbox.md), [Update Inbox](/api-reference/update-inbox.md), [Delete Inbox](/api-reference/delete-inbox.md), [List Pods](/api-reference/list-pods.md)

# List Inboxes

`GET /v0/pods/{pod_id}/inboxes`

List Inboxes

## OpenAPI

```json
{
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "parameters": [
    {
      "name": "pod_id",
      "in": "path",
      "required": true,
      "schema": {
        "title": "podsPodId",
        "type": "string",
        "description": "ID of pod."
      }
    },
    {
      "name": "limit",
      "in": "query",
      "required": false,
      "schema": {
        "title": "Limit",
        "type": "integer",
        "description": "Limit of number of items returned."
      }
    },
    {
      "name": "page_token",
      "in": "query",
      "required": false,
      "schema": {
        "title": "PageToken",
        "type": "string",
        "description": "Page token for pagination."
      }
    }
  ],
  "responses": {
    "200": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "inboxesListInboxesResponse",
            "type": "object",
            "properties": {
              "count": {
                "title": "Count",
                "type": "integer",
                "description": "Number of items returned."
              },
              "limit": {
                "title": "Limit",
                "type": "integer",
                "description": "Limit of number of items returned."
              },
              "next_page_token": {
                "title": "PageToken",
                "type": "string",
                "description": "Page token for pagination."
              },
              "inboxes": {
                "type": "array",
                "items": {
                  "title": "inboxesInbox",
                  "type": "object",
                  "properties": {
                    "pod_id": {
                      "title": "podsPodId",
                      "type": "string",
                      "description": "ID of pod."
                    },
                    "inbox_id": {
                      "title": "inboxesInboxId",
                      "type": "string",
                      "description": "ID of inbox."
                    },
                    "display_name": {
                      "title": "inboxesDisplayName",
                      "type": "string",
                      "description": "Display name: `Display Name <username@domain.com>`."
                    },
                    "client_id": {
                      "title": "inboxesClientId",
                      "type": "string",
                      "description": "Client ID of inbox."
                    },
                    "updated_at": {
                      "type": "string",
                      "format": "date-time",
                      "description": "Time at which inbox was last updated."
                    },
                    "created_at": {
                      "type": "string",
                      "format": "date-time",
                      "description": "Time at which inbox was created."
                    }
                  },
                  "required": [
                    "pod_id",
                    "inbox_id",
                    "updated_at",
                    "created_at"
                  ]
                },
                "description": "Ordered by `created_at` descending."
              }
            },
            "required": [
              "count",
              "inboxes"
            ]
          }
        }
      }
    },
    "404": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ErrorResponse",
            "type": "object",
            "properties": {
              "name": {
                "title": "ErrorName",
                "type": "string",
                "description": "Name of error."
              },
              "message": {
                "type": "string",
                "description": "Error message."
              }
            },
            "required": [
              "name",
              "message"
            ]
          }
        }
      }
    }
  }
}
```
